<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/fragment_category_radio"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:animateLayoutChanges="@bool/animate_layout_change"
    android:background="@color/clr_grey2" >

    <!-- header -->

    <RelativeLayout
        android:id="@+id/fragment_category_radio_title_layout"
        android:layout_width="match_parent"
        android:layout_height="@dimen/button_favorite"
        android:layout_alignParentTop="true"
        android:layout_centerHorizontal="true"
        android:layout_marginLeft="@dimen/margin_medium"
        android:layout_marginRight="@dimen/margin_medium"
        android:layout_marginTop="@dimen/margin_medium"
        android:background="@drawable/selector_blue_favorite_dark" >

        <com.egdigital.allzic.ui.ScrollingTextView
            android:id="@+id/fragment_category_radio_title"
            style="@android:style/TextAppearance.Medium"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:layout_centerInParent="true"
            android:layout_centerVertical="true"
            android:layout_marginLeft="@dimen/margin_medium"
            android:layout_marginRight="@dimen/margin_medium"
            android:layout_toLeftOf="@+id/fragment_category_radio_close"
            android:ellipsize="marquee"
            android:singleLine="true"
            android:textColor="@android:color/white" />

        <ImageButton
            android:id="@+id/fragment_category_radio_close"
            android:layout_width="@dimen/button_favorite"
            android:layout_height="match_parent"
            android:layout_alignParentRight="true"
            android:layout_centerVertical="true"
            android:background="@drawable/selector_blue_favorite_dark"
            android:scaleType="centerInside"
            android:src="@drawable/close_btn" />
    </RelativeLayout>

    <View
        android:id="@+id/shadow_bot"
        android:layout_width="match_parent"
        android:layout_height="2dp"
        android:layout_below="@+id/fragment_category_radio_title_layout"
        android:layout_centerHorizontal="true"
        android:layout_marginLeft="@dimen/margin_medium"
        android:layout_marginRight="@dimen/margin_medium"
        android:background="@color/clr_grey3" />
    <!-- list -->

    <ListView
        android:id="@+id/fragment_category_radio_list"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/shadow_bot"
        android:clipToPadding="false"
        android:divider="@color/clr_trans_grey"
        android:dividerHeight="1px"
        android:overScrollMode="never"
        android:paddingLeft="@dimen/margin_medium"
        android:paddingRight="@dimen/margin_medium"
        android:paddingTop="@dimen/margin_medium"
        android:scrollbarStyle="outsideOverlay" >
    </ListView>

    <!-- network issues -->

    <include
        android:id="@+id/fragment_radio_nolike_loading"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
        layout="@layout/view_loading"
        android:visibility="gone" />

    <include
        android:id="@+id/fragment_radio_nolike_reload"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_centerInParent="true"
        layout="@layout/view_reload"
        android:visibility="gone" />

    <include
        android:id="@+id/fragment_radio_nolike_noresult"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
        layout="@layout/view_no_result"
        android:visibility="gone" />

</RelativeLayout>